[SM-Commit] GIT changes to devel-andrew cauldron by Andrew Stitt (d218c3b13dc0b37c1bced530b7b5cdc832ec7282)

Andrew Stitt scm at sourcemage.org
Sat Jan 10 16:14:35 EST 2009


GIT changes to devel-andrew cauldron by Andrew Stitt <acedit at armory.com>:

 scripts/twelve-step-program.sh |   29 +++++++++++++++++------------
 1 files changed, 17 insertions(+), 12 deletions(-)

New commits:
commit d218c3b13dc0b37c1bced530b7b5cdc832ec7282
Author: Andrew Stitt <acedit at armory.com>
Commit: Andrew Stitt <acedit at armory.com>

    fix errors

commit 8e23606fa8a66b7dc7074be4290380dd1aeef5cc
Author: Andrew Stitt <acedit at armory.com>
Commit: Andrew Stitt <acedit at armory.com>

    fix bug from previous commit

commit 1c878150423501cedda239aec6bd5a9076290eb0
Author: Andrew Stitt <acedit at armory.com>
Commit: Andrew Stitt <acedit at armory.com>

        scripts/twelve-step-program.sh: refactor kernel version
    
    Replace hard-coded kernel version with a variable.
    Include command to fetch kernel source from main kernel http mirror.

diff --git a/scripts/twelve-step-program.sh b/scripts/twelve-step-program.sh
index 02857e6..995da40 100755
--- a/scripts/twelve-step-program.sh
+++ b/scripts/twelve-step-program.sh
@@ -9,6 +9,7 @@ ROOTBUILD=$ROOT/build
 CAULDRON_SRC=$ROOT/cauldron
 SYSBUILD=/tmp/cauldron/sys
 ISOBUILD=/tmp/cauldron/iso
+KERNEL_VERSION=2.6.27.10
 
   # step 1 get basesystem
   echo step 1
@@ -29,33 +30,37 @@ ISOBUILD=/tmp/cauldron/iso
   echo step 2 build kernel
   # may be handled by step 3 later on
   pushd /usr/src &&
-  wget http://10.0.0.11/smgl/spool/linux-2.6.24.tar.bz2 &&
-  tar xf linux-2.6.24.tar.bz2 &&
-  ln -s linux-2.6.24 linux &&
+  #wget http://10.0.0.11/smgl/spool/linux-$KERNEL_VERSION.tar.bz2 &&
+  #tar xf linux-$KERNEL_VERSION.tar.bz2 &&
+  wget --progress=dot http://kernel.org/pub/linux/kernel/v2.6/linux-$KERNEL_VERSION.tar.gz &&
+  tar xf linux-$KERNEL_VERSION.tar.gz &&
+  ln -s linux-$KERNEL_VERSION linux &&
   cp "$CAULDRON_SRC"/data/config-2.6 /usr/src/linux/.config &&
   pushd linux &&
     yes ""|make oldconfig; make -j 4 &&
     make -j 4 && make modules -j 4 && make modules_install &&
   popd &&
   ls /lib/modules &&
-  cp -fav /lib/modules/2.6.24-SMGL-iso "$ROOTBUILD"/lib/modules &&
-  cp -fav /usr/src/linux-2.6.24 "$ROOTBUILD"/usr/src &&
-  cp -fv /usr/src/linux "$ROOTBUILD"/usr/src ||
+  cp -fav /lib/modules/$KERNEL_VERSION-SMGL-iso "$ROOTBUILD"/lib/modules &&
+  cp -fav /usr/src/linux-$KERNEL_VERSION "$ROOTBUILD"/usr/src &&
+  ln -s linux-$KERNEL_VERSION "$ROOTBUILD"/usr/src/linux ||
   echo 'step 2 failed' >> /var/log/sorcery/activity
 
   echo step 3 build spells
-  bash "$CAULDRON_SRC"/scripts/spellcaster.sh "$ROOTBUILD" x86 ||
-  echo 'step 3 failed' >> /var/log/sorcery/activity
+  bash "$CAULDRON_SRC"/scripts/spellcaster.sh "$ROOTBUILD" x86 || {
+    echo 'step 3 failed' >> /var/log/sorcery/activity
+    exit
+  }
 
   echo step 3.5 copy kernel sources to iso and sys tree
   # may be handled by step 3 later on
-  cp -fav /usr/src/linux-2.6.24 "$ISOBUILD"/usr/src ||
+  cp -fav /usr/src/linux-$KERNEL_VERSION "$ISOBUILD"/usr/src ||
   echo 'step 3.5 failed' >> /var/log/sorcery/activity
 
   echo step 4 adjust system tree
   bash "$CAULDRON_SRC"/scripts/add-sauce.sh -o -s "$SYSBUILD" &&
-  cp /usr/src/linux-2.6.24.tar.bz2 "$SYSBUILD"/var/spool/sorcery &&
-  ln -sf /var/spool/sorcery/linux-2.6.24.tar.bz2 "$SYSBUILD"/usr/src/linux-2.6.24.tar.bz2 ||
+  cp /usr/src/linux-$KERNEL_VERSION.tar.bz2 "$SYSBUILD"/var/spool/sorcery &&
+  ln -sf /var/spool/sorcery/linux-$KERNEL_VERSION.tar.bz2 "$SYSBUILD"/usr/src/linux-$KERNEL_VERSION.tar.bz2 ||
   echo 'step 4 failed' >> /var/log/sorcery/activity
 
   echo step 5 prune iso tree
@@ -71,7 +76,7 @@ ISOBUILD=/tmp/cauldron/iso
   echo 'step 7 failed' >> /var/log/sorcery/activity
 
   echo step 8 make initrd
-  bash "$CAULDRON_SRC"/scripts/mkinitrd.sh -i "$ISOBUILD" 2.6.24-SMGL-iso ||
+  bash "$CAULDRON_SRC"/scripts/mkinitrd.sh -i "$ISOBUILD" $KERNEL_VERSION-SMGL-iso ||
   echo 'step 8 failed' >> /var/log/sorcery/activity
 
   echo step 9 make iso



More information about the SM-Commit mailing list